<form class="offset-4 col-4" [formGroup]="registerForm" (ngSubmit)="createUser(registerForm.value)">
  <div class="form-group">
    <label for="name">First Name</label>
    <input type="text" class="form-control" id="fname" name="fname" placeholder="Enter name" formControlName="fname">
  </div>
  <div class="form-group">
    <label for="name">Last Name</label>
    <input type="text" class="form-control" id="lname" name="lname" placeholder="Enter name" formControlName="lname">
  </div>
  <div class="form-group">
    <label for="email">Email address</label>
    <input type="email" class="form-control" id="email" name="email" placeholder="Enter email" formControlName="email">
  </div>
  <div class="form-group">
    <label for="password">Password</label>
    <input type="password" class="form-control" id="password" name="password" placeholder="Password"
      formControlName="password">
  </div>
  <div class="form-group">
    <label for="name">Mobile</label>
    <input type="number" class="form-control" id="mobile" name="mobile" placeholder="Enter mobile number"
      formControlName="mobile">
  </div>
  <div class="form-group">
    <label for="name">Address</label>
    <input type="text" class="form-control" id="address" name="address" placeholder="Enter address"
      formControlName="address">
  </div>
  <div class="form-check">
    <input class="form-check-input" type="radio" id="male" value="male" name="gender" formControlName="gender">
    <label class="form-check-label" for="male">Male</label>
  </div>
  <div class="form-check">
    <input class="form-check-input" type="radio" name="gender" id="female" value="female" formControlName=gender>
    <label class="form-check-label" for="female">Female</label>
  </div>
  <button type="submit" class="btn btn-primary">Regjistrohu</button>
</form>
